Opened 10 years ago

Closed 7 years ago

#30787 closed defect (fixed)

xcircuit @3.4.30 crashes on Lion

Reported by: Stochasticus@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.0.1
Keywords: Cc: takanori@…, mww@…, anddam (Andrea D'Amore), cooljeanius (Eric Gallager)
Port: xcircuit tk

Description

I think it's actually wish 8.5.0 that crashes but it's only xcircuit that I run that uses the tcl/tk framework and wish. I've copied in the last people to post port files for xcircuit, and tcl/tk. Here is the crash log:

Process:         wish8.5 [2879]
Path:            /opt/local/bin/wish8.5
Identifier:      wish8.5
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  bash [2870]

Date/Time:       2011-08-15 09:12:58.642 +0100
OS Version:      Mac OS X 10.7 (11A511)
Report Version:  9
Sleep/Wake UUID: 8937E4D5-97B9-4C48-8659-13C53E23CE2D

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Application Specific Information:
objc[2879]: garbage collection is OFF
__abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8e57b82a __kill + 10
1   libsystem_c.dylib             	0x00007fff953ccb6c __abort + 193
2   libsystem_c.dylib             	0x00007fff9539e89f __chk_fail + 91
3   libsystem_c.dylib             	0x00007fff9539e6d9 __sprintf_chk + 173
4   xcircuit.so                   	0x00000001025fbca3 findcrashfiles + 131
5   xcircuit.so                   	0x00000001026430af xctcl_start + 415
6   libtcl8.5.dylib               	0x0000000102224b5c TclEvalObjvInternal + 812
7   libtcl8.5.dylib               	0x0000000102266160 TclExecuteByteCode + 4880
8   libtcl8.5.dylib               	0x000000010226da88 TclCompEvalObj + 440
9   libtcl8.5.dylib               	0x000000010222621c TclEvalObjEx + 732
10  libtcl8.5.dylib               	0x000000010223020c Tcl_IfObjCmd + 556
11  libtcl8.5.dylib               	0x0000000102224b5c TclEvalObjvInternal + 812
12  libtcl8.5.dylib               	0x0000000102225774 TclEvalEx + 2196
13  libtcl8.5.dylib               	0x0000000102225bfa Tcl_EvalEx + 26
14  libtcl8.5.dylib               	0x0000000102287d26 Tcl_FSEvalFileEx + 566
15  libtcl8.5.dylib               	0x0000000102239037 Tcl_SourceObjCmd + 151
16  libtcl8.5.dylib               	0x0000000102224b5c TclEvalObjvInternal + 812
17  libtcl8.5.dylib               	0x0000000102266160 TclExecuteByteCode + 4880
18  libtcl8.5.dylib               	0x000000010226da88 TclCompEvalObj + 440
19  libtcl8.5.dylib               	0x000000010222621c TclEvalObjEx + 732
20  libtcl8.5.dylib               	0x0000000102274eec SlaveEval + 108
21  libtcl8.5.dylib               	0x00000001022775a8 Tcl_InterpObjCmd + 1576
22  libtcl8.5.dylib               	0x0000000102224b5c TclEvalObjvInternal + 812
23  libtcl8.5.dylib               	0x0000000102266160 TclExecuteByteCode + 4880
24  libtcl8.5.dylib               	0x00000001022a387c TclObjInterpProcCore + 1148
25  libtcl8.5.dylib               	0x0000000102224b5c TclEvalObjvInternal + 812
26  libtcl8.5.dylib               	0x0000000102266160 TclExecuteByteCode + 4880
27  libtcl8.5.dylib               	0x000000010226da88 TclCompEvalObj + 440
28  libtcl8.5.dylib               	0x000000010222621c TclEvalObjEx + 732
29  libtcl8.5.dylib               	0x000000010223020c Tcl_IfObjCmd + 556
30  libtcl8.5.dylib               	0x0000000102224b5c TclEvalObjvInternal + 812
31  libtcl8.5.dylib               	0x0000000102225774 TclEvalEx + 2196
32  libtcl8.5.dylib               	0x0000000102225bfa Tcl_EvalEx + 26
33  libtcl8.5.dylib               	0x0000000102287d26 Tcl_FSEvalFileEx + 566
34  libtk8.5.dylib                	0x00000001020ffe7e Tk_MainEx + 1150
35  wish                          	0x00000001020d54c7 main + 39
36  wish                          	0x00000001020d5494 start + 52

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00007fff61cd0390  rcx: 0x00007fff61cd0378  rdx: 0x0000000000000000
  rdi: 0x0000000000000b3f  rsi: 0x0000000000000006  rbp: 0x00007fff61cd03a0  rsp: 0x00007fff61cd0378
   r8: 0x0000000000000000   r9: 0x00000000000008a2  r10: 0x00007fff8e57ce62  r11: 0xffffff80002d8240
  r12: 0x0000000102664ea0  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x0000000102665460
  rip: 0x00007fff8e57b82a  rfl: 0x0000000000000206  cr2: 0x0000000102213000
Logical CPU: 0

Binary Images:
       0x1020d3000 -        0x1020d5ff7 +wish (8.5.9 - 8.5.9) <270D4AB3-DCDE-334C-90C7-E2BFC855CBB5> /opt/local/bin/wish
       0x1020df000 -        0x1021d7fe7 +libtk8.5.dylib (8.5.9 - 8.5.9) <DEF6F207-2DA5-3C88-9D1B-B7D182480EE0> /opt/local/lib/libtk8.5.dylib
       0x102215000 -        0x1022f7ff7 +libtcl8.5.dylib (8.5.9 - 8.5.9) <0F02F408-6F96-304D-801F-A55C3B824FC4> /opt/local/lib/libtcl8.5.dylib
       0x10231b000 -        0x102433ff7 +libX11.6.dylib (10.0.0 - compatibility 10.0.0) <9C0B37D2-CE90-3E1A-996C-E8E65993C6AA> /opt/local/lib/libX11.6.dylib
       0x10245d000 -        0x10245eff7 +libXss.1.dylib (2.0.0 - compatibility 2.0.0) <DF0F8672-C165-32E7-8D9F-B20F2A4B57D4> /opt/local/lib/libXss.1.dylib
       0x102468000 -        0x102476ff7 +libXext.6.dylib (11.0.0 - compatibility 11.0.0) <9897A4D5-F6D0-3ED1-A147-2FED9B327D81> /opt/local/lib/libXext.6.dylib
       0x10247e000 -        0x102490fff +libxcb.1.dylib (3.0.0 - compatibility 3.0.0) <33EF7B73-72BF-3B63-B3C4-F78017E507E2> /opt/local/lib/libxcb.1.dylib
       0x10249e000 -        0x10249fff7 +libXau.6.dylib (7.0.0 - compatibility 7.0.0) <9CCFE473-37A4-3358-9AC8-BD0C2E7F4CB4> /opt/local/lib/libXau.6.dylib
       0x1024a6000 -        0x1024a9fe7 +libXdmcp.6.dylib (7.0.0 - compatibility 7.0.0) <F14F85AA-B3A0-3D5B-8A27-EA6A383C0B58> /opt/local/lib/libXdmcp.6.dylib
       0x1025e7000 -        0x102660fff +xcircuit.so (??? - ???) <9E7A94F0-00DD-3918-A324-6B06B33181C4> /opt/local/lib/*/xcircuit.so
       0x10267a000 -        0x10268dfff +libz.1.dylib (1.2.5 - compatibility 1.0.0) <C9756B5C-85C1-38AA-8861-27FDE74BCF0B> /opt/local/lib/libz.1.dylib
       0x102691000 -        0x1026d9fef +libXt.6.dylib (7.0.0 - compatibility 7.0.0) <37BFA79F-3E84-37E9-9F64-B0023C09280C> /opt/local/lib/libXt.6.dylib
       0x1026f1000 -        0x1026f6ff7 +libSM.6.dylib (7.1.0 - compatibility 7.0.0) <5ED920C3-87AE-3A9D-ADFE-E16EAF4F4C25> /opt/local/lib/libSM.6.dylib
       0x1026fa000 -        0x10270bfff +libICE.6.dylib (10.0.0 - compatibility 10.0.0) <C815C7B6-674A-3720-A137-1AD7C4578C14> /opt/local/lib/libICE.6.dylib
       0x102715000 -        0x102722fe7 +libXpm.4.dylib (16.0.0 - compatibility 16.0.0) <D7EBF37F-8D78-3F8B-B156-2C04924498A1> /opt/local/lib/libXpm.4.dylib
       0x102726000 -        0x10272efff +libintl.8.dylib (10.1.0 - compatibility 10.0.0) <D36589C1-283F-3087-82F4-E946CC2080D4> /opt/local/lib/libintl.8.dylib
       0x102733000 -        0x10282fff7 +libiconv.2.dylib (8.0.0 - compatibility 8.0.0) <D674866F-82E0-B1ED-4A97-9B8ED4EE6C3B> /opt/local/lib/libiconv.2.dylib
    0x7fff61cd3000 -     0x7fff61d07ac7  dyld (195.5 - ???) <4A6E2B28-C7A2-3528-ADB7-4076B9836041> /usr/lib/dyld
    0x7fff8d043000 -     0x7fff8d044fff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57> /usr/lib/system/libdnsinfo.dylib
    0x7fff8d05a000 -     0x7fff8d0a8ff7  libauto.dylib (??? - ???) <F0004B88-CA01-37D0-A77F-6651C4EC7D8E> /usr/lib/libauto.dylib
    0x7fff8d27c000 -     0x7fff8d281ff7  libsystem_network.dylib (??? - ???) <4ABCEEF3-A3F9-3E06-9682-CE00F17138B7> /usr/lib/system/libsystem_network.dylib
    0x7fff8d59c000 -     0x7fff8d59dfff  libsystem_sandbox.dylib (??? - ???) <8D14139B-B671-35F4-9E5A-023B4C523C38> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8d5df000 -     0x7fff8d621ff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8d622000 -     0x7fff8d65efff  libsystem_info.dylib (??? - ???) <BC49C624-1DAB-3A37-890F-6EFD46538424> /usr/lib/system/libsystem_info.dylib
    0x7fff8d6e1000 -     0x7fff8d7c5def  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <C5F2392D-B481-3A9D-91BE-3D039FFF4DEC> /usr/lib/libobjc.A.dylib
    0x7fff8d7d8000 -     0x7fff8d7ddfff  libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527> /usr/lib/system/libcache.dylib
    0x7fff8d80f000 -     0x7fff8d83cfe7  libSystem.B.dylib (159.0.0 - compatibility 1.0.0) <7B4D685D-939C-3ABE-8780-77A1889E0DE9> /usr/lib/libSystem.B.dylib
    0x7fff8d997000 -     0x7fff8d998fff  libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC> /usr/lib/system/libunc.dylib
    0x7fff8d999000 -     0x7fff8d99dfff  libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5> /usr/lib/system/libdyld.dylib
    0x7fff8dacd000 -     0x7fff8dad7ff7  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD> /usr/lib/system/liblaunch.dylib
    0x7fff8db35000 -     0x7fff8db36ff7  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <C6C49FB7-1892-32E4-86B5-25AD165131AA> /usr/lib/system/libremovefile.dylib
    0x7fff8e4f8000 -     0x7fff8e50aff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff8e565000 -     0x7fff8e585fff  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348> /usr/lib/system/libsystem_kernel.dylib
    0x7fff8e8ca000 -     0x7fff8e8e7ff7  libxpc.dylib (77.16.0 - compatibility 1.0.0) <0A4B4775-29A9-30D6-956B-3BE1DBF98090> /usr/lib/system/libxpc.dylib
    0x7fff8f746000 -     0x7fff8f748fff  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <4C3BFBC7-E592-3939-B376-1C2E2D7C5389> /usr/lib/system/libquarantine.dylib
    0x7fff8f7d7000 -     0x7fff8f7d8ff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib
    0x7fff8fa06000 -     0x7fff8fa7bff7  libc++.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib
    0x7fff8fc4f000 -     0x7fff8fc55fff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC> /usr/lib/system/libmacho.dylib
    0x7fff9014c000 -     0x7fff9015afff  libdispatch.dylib (187.5.0 - compatibility 1.0.0) <698F8EFB-7075-3111-94E3-891156C88172> /usr/lib/system/libdispatch.dylib
    0x7fff919bf000 -     0x7fff919c4fff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib
    0x7fff927b3000 -     0x7fff927b4fff  libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff92bc1000 -     0x7fff92bc7ff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib
    0x7fff92c32000 -     0x7fff92c32fff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib
    0x7fff93b7c000 -     0x7fff93b87ff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib
    0x7fff942ed000 -     0x7fff942f6fff  libnotify.dylib (80.0.0 - compatibility 1.0.0) <BD08553D-8088-38A8-8007-CF5C0B8F0404> /usr/lib/system/libnotify.dylib
    0x7fff94c83000 -     0x7fff94e56ff7  com.apple.CoreFoundation (6.7 - 635) <57446B22-0778-3E07-9690-96AC705D57E8> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff94f19000 -     0x7fff94f1dfff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib
    0x7fff94f48000 -     0x7fff94fbbfff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib
    0x7fff94fcf000 -     0x7fff951d1fff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <82DCB94B-3819-3CC3-BC16-2AACA7F64F8A> /usr/lib/libicucore.A.dylib
    0x7fff9538b000 -     0x7fff95468fef  libsystem_c.dylib (763.11.0 - compatibility 1.0.0) <1D61CA57-3C6D-30F7-89CB-CC6F0787B1DC> /usr/lib/system/libsystem_c.dylib
    0x7fff9581d000 -     0x7fff95825fff  libsystem_dnssd.dylib (??? - ???) <7749128E-D0C5-3832-861C-BC9913F774FA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff96503000 -     0x7fff9650afff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399> /usr/lib/system/libcopyfile.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 6766
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=61.4M resident=24.9M(41%) swapped_out_or_unallocated=36.5M(59%)
Writable regions: Total=23.1M written=4972K(21%) resident=7112K(30%) swapped_out=0K(0%) unallocated=16.1M(70%)
 
REGION TYPE                      VIRTUAL
===========                      =======
MALLOC                             14.5M
MALLOC guard page                    32K
STACK GUARD                        56.0M
Stack                              8192K
VM_ALLOCATE                           4K
__DATA                             1264K
__LINKEDIT                         47.8M
__TEXT                             13.7M
__UNICODE                           544K
shared memory                        12K
===========                      =======
TOTAL                             141.8M

Change History (25)

comment:1 Changed 10 years ago by Stochasticus@…

Just to follow up with this. I've just installed the latest stable build of xcircuit (3.7.26) from the source on http://opencircuitdesign.com/xcircuit/ using the options to build with the macports installed versions of tcl and tk and it seems to be stable (though it looks a little different). So it's nothing intrinsically wrong with tcl/tk under Lion but maybe something to do with the way that the older version of xcircuit (which was working before I installed Lion) works with wish.

comment:2 Changed 10 years ago by jmroot (Joshua Root)

Cc: mww@… added; jmr@… removed
Keywords: xcircuit tcl tk wish removed
Port: xcircuit tk added

Please cc the maintainer rather than the last person to touch the portfile.

comment:3 Changed 9 years ago by jmroot (Joshua Root)

Resolution: fixed
Status: newclosed

Updated to 3.7.39 in r93306.

comment:4 Changed 9 years ago by Stochasticus@…

Resolution: fixed
Status: closedreopened

I'm afraid that this hasn't fixed the problem, although xcircuit does now build successfully it still crashes wish8.5 shortly after launch. I'll attach the new crash log again.

Process:         wish8.5 [22382]
Path:            /opt/local/bin/wish8.5
Identifier:      wish8.5
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  bash [17445]

Date/Time:       2012-05-22 17:54:40.322 +0100
OS Version:      Mac OS X 10.7.4 (11E53)
Report Version:  9

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Application Specific Information:
__abort() called
objc[22382]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8aae082a __kill + 10
1   libsystem_c.dylib             	0x00007fff8c7e5b6c __abort + 193
2   libsystem_c.dylib             	0x00007fff8c7b789f __chk_fail + 91
3   libsystem_c.dylib             	0x00007fff8c7b76d9 __sprintf_chk + 173
4   xcircuit.so                   	0x000000010edbcc8d findcrashfiles + 157
5   xcircuit.so                   	0x000000010ee4af9e xctcl_start + 782
6   libtcl8.5.dylib               	0x000000010e5005ca TclEvalObjvInternal + 826
7   libtcl8.5.dylib               	0x000000010e540933 TclExecuteByteCode + 4755
8   libtcl8.5.dylib               	0x000000010e548726 TclCompEvalObj + 454
9   libtcl8.5.dylib               	0x000000010e50209d TclEvalObjEx + 749
10  libtcl8.5.dylib               	0x000000010e50b45a Tcl_IfObjCmd + 538
11  libtcl8.5.dylib               	0x000000010e5005ca TclEvalObjvInternal + 826
12  libtcl8.5.dylib               	0x000000010e501226 TclEvalEx + 1670
13  libtcl8.5.dylib               	0x000000010e500b9a Tcl_EvalEx + 26
14  libtcl8.5.dylib               	0x000000010e562d73 Tcl_FSEvalFileEx + 563
15  libtcl8.5.dylib               	0x000000010e511220 Tcl_SourceObjCmd + 160
16  libtcl8.5.dylib               	0x000000010e5005ca TclEvalObjvInternal + 826
17  libtcl8.5.dylib               	0x000000010e540933 TclExecuteByteCode + 4755
18  libtcl8.5.dylib               	0x000000010e548726 TclCompEvalObj + 454
19  libtcl8.5.dylib               	0x000000010e50209d TclEvalObjEx + 749
20  libtcl8.5.dylib               	0x000000010e550bbb SlaveEval + 107
21  libtcl8.5.dylib               	0x000000010e54f856 Tcl_InterpObjCmd + 1734
22  libtcl8.5.dylib               	0x000000010e5005ca TclEvalObjvInternal + 826
23  libtcl8.5.dylib               	0x000000010e540933 TclExecuteByteCode + 4755
24  libtcl8.5.dylib               	0x000000010e57fd03 TclObjInterpProcCore + 1139
25  libtcl8.5.dylib               	0x000000010e5005ca TclEvalObjvInternal + 826
26  libtcl8.5.dylib               	0x000000010e540933 TclExecuteByteCode + 4755
27  libtcl8.5.dylib               	0x000000010e548726 TclCompEvalObj + 454
28  libtcl8.5.dylib               	0x000000010e50209d TclEvalObjEx + 749
29  libtcl8.5.dylib               	0x000000010e50b45a Tcl_IfObjCmd + 538
30  libtcl8.5.dylib               	0x000000010e5005ca TclEvalObjvInternal + 826
31  libtcl8.5.dylib               	0x000000010e501226 TclEvalEx + 1670
32  libtcl8.5.dylib               	0x000000010e500b9a Tcl_EvalEx + 26
33  libtcl8.5.dylib               	0x000000010e562d73 Tcl_FSEvalFileEx + 563
34  libtk8.5.dylib                	0x000000010e3e79f4 Tk_MainEx + 1124
35  wish                          	0x000000010e380527 main + 39
36  wish                          	0x000000010e3804f4 start + 52

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00007fff6df79ff0  rcx: 0x00007fff6df79fd8  rdx: 0x0000000000000000
  rdi: 0x000000000000576e  rsi: 0x0000000000000006  rbp: 0x00007fff6df7a000  rsp: 0x00007fff6df79fd8
   r8: 0x0000000000000000   r9: 0x0000000000000dc4  r10: 0x00007fff8aae1e62  r11: 0xffffff80002da8d0
  r12: 0x00007faf2bd337b0  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x00007faf2bd337a0
  rip: 0x00007fff8aae082a  rfl: 0x0000000000000202  cr2: 0x000000010e731000
Logical CPU: 0

Binary Images:
       0x10e37d000 -        0x10e380ff7 +wish (8.5.11 - 8.5.11) <9FA01B42-CEF0-34EF-AFC8-46478BB0E5A2> /opt/local/bin/wish
       0x10e385000 -        0x10e3b6ff7 +libfontconfig.1.dylib (7.0.0 - compatibility 7.0.0) <22BB2F83-BAA2-32DC-BE6C-E1F67556B15F> /opt/local/lib/libfontconfig.1.dylib
       0x10e3c7000 -        0x10e4b4ff7 +libtk8.5.dylib (8.5.11 - 8.5.11) <C7A2AB48-9BC5-30FD-BC70-B5C6FB6A89C3> /opt/local/lib/libtk8.5.dylib
       0x10e4ef000 -        0x10e5d2ff7 +libtcl8.5.dylib (8.5.11 - 8.5.11) <4D488DC4-C85A-3CB7-9549-D90D1EB26A6B> /opt/local/lib/libtcl8.5.dylib
       0x10e5f6000 -        0x10e70cff7 +libX11.6.dylib (10.0.0 - compatibility 10.0.0) <F4E3509E-B183-39DA-B9E9-7E09C171EEE2> /opt/local/lib/libX11.6.dylib
       0x10e733000 -        0x10e734ff7 +libXss.1.dylib (2.0.0 - compatibility 2.0.0) <CF1DD3F0-9403-3B61-8437-DDF882A9C4F8> /opt/local/lib/libXss.1.dylib
       0x10e73d000 -        0x10e749fff +libXext.6.dylib (11.0.0 - compatibility 11.0.0) <FBB9BA32-BB61-3FDA-A86D-A4640C3AA5CB> /opt/local/lib/libXext.6.dylib
       0x10e756000 -        0x10e766fff +libXft.2.dylib (6.0.0 - compatibility 6.0.0) <66B6289B-D4F6-3CFF-8325-1690E6D61FF2> /opt/local/lib/libXft.2.dylib
       0x10e770000 -        0x10e868ff7 +libiconv.2.dylib (8.1.0 - compatibility 8.0.0) <5E426CF4-4755-31A1-8A3A-6B332E8CF0FC> /opt/local/lib/libiconv.2.dylib
       0x10e87b000 -        0x10e900ff7 +libfreetype.6.dylib (15.1.0 - compatibility 15.0.0) <B86D0C7C-ECC5-3DE9-BA3E-16842937F046> /opt/local/lib/libfreetype.6.dylib
       0x10e916000 -        0x10e927ff7 +libz.1.dylib (1.2.7 - compatibility 1.0.0) <57016CC1-AD54-337E-A983-457933B24D35> /opt/local/lib/libz.1.dylib
       0x10e92f000 -        0x10e93dff7 +libbz2.1.0.dylib (1.0.6 - compatibility 1.0.0) <25F874DF-BAC2-31DB-8B12-73E4665F2149> /opt/local/lib/libbz2.1.0.dylib
       0x10e943000 -        0x10e961fe7 +libexpat.1.dylib (8.0.0 - compatibility 8.0.0) <B0C67DBB-2658-319A-AAB1-D5CA329706D9> /opt/local/lib/libexpat.1.dylib
       0x10e96c000 -        0x10e97ffff +libxcb.1.dylib (3.0.0 - compatibility 3.0.0) <DF24E77C-D12E-3F95-81BB-9E6B727B5407> /opt/local/lib/libxcb.1.dylib
       0x10e98d000 -        0x10e98eff7 +libXau.6.dylib (7.0.0 - compatibility 7.0.0) <1851903C-EB70-34C1-ADC8-8607BBD6EDF6> /opt/local/lib/libXau.6.dylib
       0x10e997000 -        0x10e99afff +libXdmcp.6.dylib (7.0.0 - compatibility 7.0.0) <B5E4BC98-46B1-3BF5-AB63-42A21696F9C5> /opt/local/lib/libXdmcp.6.dylib
       0x10e9a1000 -        0x10e9a7ff7 +libXrender.1.dylib (5.0.0 - compatibility 5.0.0) <FC93FB0A-17FB-3CCE-90DE-D7D8FCE92A7E> /opt/local/lib/libXrender.1.dylib
       0x10ed97000 -        0x10ee65fff +xcircuit.so (??? - ???) <C08E8FAB-0925-3BDC-9C46-C7A9C9ADA681> /opt/local/lib/*/xcircuit.so
       0x10ee83000 -        0x10eeccfe7 +libXt.6.dylib (7.0.0 - compatibility 7.0.0) <086AC72F-1513-3B50-B481-D63F5AEB742B> /opt/local/lib/libXt.6.dylib
       0x10eee4000 -        0x10eee8ff7 +libSM.6.dylib (7.1.0 - compatibility 7.0.0) <6966036C-A59A-347F-A94F-760BC8761441> /opt/local/lib/libSM.6.dylib
       0x10eeec000 -        0x10eefcff7 +libICE.6.dylib (10.0.0 - compatibility 10.0.0) <B4D5B5D2-64BD-33E2-99E8-0B4D45711AE1> /opt/local/lib/libICE.6.dylib
       0x10ef05000 -        0x10ef12fe7 +libXpm.4.dylib (16.0.0 - compatibility 16.0.0) <BC07042C-8D42-3B46-8B25-0A0D759431A1> /opt/local/lib/libXpm.4.dylib
       0x10ef16000 -        0x10ef1eff7 +libintl.8.dylib (10.1.0 - compatibility 10.0.0) <CED638C0-E56A-3FB5-B2D5-E9692CEE50B7> /opt/local/lib/libintl.8.dylib
    0x7fff6df7d000 -     0x7fff6dfb1baf  dyld (195.6 - ???) <0CD1B35B-A28F-32DA-B72E-452EAD609613> /usr/lib/dyld
    0x7fff88e4d000 -     0x7fff88e6afff  libxpc.dylib (77.19.0 - compatibility 1.0.0) <9F57891B-D7EF-3050-BEDD-21E7C6668248> /usr/lib/system/libxpc.dylib
    0x7fff88fda000 -     0x7fff89007fe7  libSystem.B.dylib (159.1.0 - compatibility 1.0.0) <7BEBB139-50BB-3112-947A-F4AA168F991C> /usr/lib/libSystem.B.dylib
    0x7fff8905f000 -     0x7fff89063fff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib
    0x7fff89d07000 -     0x7fff89d08ff7  libsystem_sandbox.dylib (??? - ???) <96D38E74-F18F-3CCB-A20B-E8E3ADC4E166> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8aaca000 -     0x7fff8aaeafff  libsystem_kernel.dylib (1699.26.8 - compatibility 1.0.0) <1DDC0B0F-DB2A-34D6-895D-E5B2B5618946> /usr/lib/system/libsystem_kernel.dylib
    0x7fff8ae89000 -     0x7fff8ae8ffff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <165514D7-1BFA-38EF-A151-676DCD21FB64> /usr/lib/system/libmacho.dylib
    0x7fff8b2fb000 -     0x7fff8b300fff  libcache.dylib (47.0.0 - compatibility 1.0.0) <1571C3AB-BCB2-38CD-B3B2-C5FC3F927C6A> /usr/lib/system/libcache.dylib
    0x7fff8b334000 -     0x7fff8b346ff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff8b347000 -     0x7fff8b34efff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <0AB51EE2-E914-358C-AC19-47BC024BDAE7> /usr/lib/system/libcopyfile.dylib
    0x7fff8be43000 -     0x7fff8bf27e5f  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <871E688B-CF57-3BC7-80D6-F6476DFF109B> /usr/lib/libobjc.A.dylib
    0x7fff8c32a000 -     0x7fff8c32ffff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib
    0x7fff8c357000 -     0x7fff8c358fff  libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8c636000 -     0x7fff8c63bff7  libsystem_network.dylib (??? - ???) <5DE7024E-1D2D-34A2-80F4-08326331A75B> /usr/lib/system/libsystem_network.dylib
    0x7fff8c7a4000 -     0x7fff8c881fef  libsystem_c.dylib (763.13.0 - compatibility 1.0.0) <41B43515-2806-3FBC-ACF1-A16F35B7E290> /usr/lib/system/libsystem_c.dylib
    0x7fff8ee97000 -     0x7fff8eed9ff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <BB770C22-8C57-365A-8716-4A3C36AE7BFB> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8eff3000 -     0x7fff8f066fff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib
    0x7fff8f212000 -     0x7fff8f212fff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib
    0x7fff8f261000 -     0x7fff8f262fff  libunc.dylib (24.0.0 - compatibility 1.0.0) <337960EE-0A85-3DD0-A760-7134CF4C0AFF> /usr/lib/system/libunc.dylib
    0x7fff8f6bc000 -     0x7fff8f6befff  libquarantine.dylib (36.6.0 - compatibility 1.0.0) <0EBF714B-4B69-3E1F-9A7D-6BBC2AACB310> /usr/lib/system/libquarantine.dylib
    0x7fff8f6bf000 -     0x7fff8f70dfff  libauto.dylib (??? - ???) <D8AC8458-DDD0-3939-8B96-B6CED81613EF> /usr/lib/libauto.dylib
    0x7fff8f70e000 -     0x7fff8f910fff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <38CD6ED3-C8E4-3CCD-89AC-9C3198803101> /usr/lib/libicucore.A.dylib
    0x7fff8f962000 -     0x7fff8fb36ff7  com.apple.CoreFoundation (6.7.2 - 635.21) <62A3402E-A4E7-391F-AD20-1EF20236CE1B> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff907e0000 -     0x7fff9081bfff  libsystem_info.dylib (??? - ???) <35F90252-2AE1-32C5-8D34-782C614D9639> /usr/lib/system/libsystem_info.dylib
    0x7fff90bce000 -     0x7fff90bcfff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib
    0x7fff91d51000 -     0x7fff91d59fff  libsystem_dnssd.dylib (??? - ???) <D9BB1F87-A42B-3CBC-9DC2-FC07FCEF0016> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff91dec000 -     0x7fff91df6ff7  liblaunch.dylib (392.38.0 - compatibility 1.0.0) <6ECB7F19-B384-32C1-8652-2463C1CF4815> /usr/lib/system/liblaunch.dylib
    0x7fff9307e000 -     0x7fff93089ff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib
    0x7fff931f7000 -     0x7fff931fdff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib
    0x7fff931fe000 -     0x7fff931fffff  libdnsinfo.dylib (395.11.0 - compatibility 1.0.0) <853BAAA5-270F-3FDC-B025-D448DB72E1C3> /usr/lib/system/libdnsinfo.dylib
    0x7fff93200000 -     0x7fff9320efff  libdispatch.dylib (187.9.0 - compatibility 1.0.0) <1D5BE322-A9B9-3BCE-8FAC-076FB07CF54A> /usr/lib/system/libdispatch.dylib
    0x7fff9351b000 -     0x7fff93591fff  libc++.1.dylib (28.1.0 - compatibility 1.0.0) <DA22E4D6-7F20-3BEA-9B89-2FBA735C2EE1> /usr/lib/libc++.1.dylib
    0x7fff93f5a000 -     0x7fff93f5efff  libdyld.dylib (195.6.0 - compatibility 1.0.0) <FFC59565-64BD-3B37-90A4-E2C3A422CFC1> /usr/lib/system/libdyld.dylib
    0x7fff9401c000 -     0x7fff94025ff7  libsystem_notify.dylib (80.1.0 - compatibility 1.0.0) <A4D651E3-D1C6-3934-AD49-7A104FD14596> /usr/lib/system/libsystem_notify.dylib
    0x7fff9419d000 -     0x7fff9419eff7  libremovefile.dylib (21.1.0 - compatibility 1.0.0) <739E6C83-AA52-3C6C-A680-B37FE2888A04> /usr/lib/system/libremovefile.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 27497
    thread_create: 69
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=63.5M resident=27.3M(43%) swapped_out_or_unallocated=36.2M(57%)
Writable regions: Total=24.5M written=7492K(30%) resident=9636K(38%) swapped_out=0K(0%) unallocated=15.1M(62%)
 
REGION TYPE                      VIRTUAL
===========                      =======
MALLOC                             16.0M
MALLOC guard page                    32K
STACK GUARD                        56.0M
Stack                              8192K
VM_ALLOCATE                           4K
__DATA                             1352K
__LINKEDIT                         48.6M
__TEXT                             14.9M
__UNICODE                           544K
mapped file                        2392K
shared memory                        12K
===========                      =======
TOTAL                             147.8M

 

comment:5 Changed 9 years ago by mf2k (Frank Schima)

Have you reported this upstream? How do you know it's a Macports issue?

comment:6 in reply to:  5 ; Changed 9 years ago by Stochasticus@…

Replying to macsforever2000@…:

Have you reported this upstream? How do you know it's a Macports issue?

You're right of course, I don't know, except that in the past I've managed to get a non-macports build of xcircuit running without this problem, while using the macports tcl/tk.

When I've got time I'll have a look at reinstalling it and making sure of which version of Wish tlc/tk it is actually using.

Also, if you will forgive my stupidity, what do you mean by "upstream"?

comment:7 in reply to:  6 ; Changed 9 years ago by mf2k (Frank Schima)

Replying to Stochasticus@…:

what do you mean by "upstream"?

"upstream" is the term we use to refer to the people who actually wrote the software.

comment:8 in reply to:  7 Changed 9 years ago by Stochasticus@…

Replying to macsforever2000@…:

Replying to Stochasticus@…:

what do you mean by "upstream"?

"upstream" is the term we use to refer to the people who actually wrote the software.

Thanks. That's what I thought but I wasn't sure if it was the whole meaning. I've put up a question on the xcircuit-dev mailing list. There's a the obvious point that it needs an X11 compliant installation of tcl/tk which I assume the macports version is. Thought I'd try building my own to see if it made a difference but now I can't get tk to build properly. Got to love computers...

comment:9 Changed 9 years ago by Stochasticus@…

Post Mountain Lion update is that I wiped the whole of macports, reinstalled everything and as far as I can tell the crash problem with xcircuit is solved. Please close the ticket if there is no other interest in it.

comment:10 Changed 8 years ago by anddam (Andrea D'Amore)

Cc: and.damore@… added

Cc Me!

comment:11 Changed 8 years ago by anddam (Andrea D'Amore)

I'm experiencing the same kind of wish crash on a 10.7 system with Xcode 4.6. My tcl/tk version is 8.6.x and I noticed the very same behavior on a Arch linux system with tcl/tk 8.6, see ticket:37203#comment:10, so I think it's related to incompatibility with 8.6 API.

The xcircuit window briefly appears then wish crashes, my actual output is:

fish: Job 1, 'xcircuit ' terminated by signal SIGSEGV (Address boundary error)

comment:12 Changed 8 years ago by anddam (Andrea D'Amore)

Downgrading tcl/tk ports to 8.5.13 on my system didn't fix the issue and I still have the SIGSEGV, unlike reported by this Arch ticket where even 8.5.13 seems to make XCircuit correctly run.

I suspect an earlier version of the libraries could help but then there is #32329 preventing older tk+quartz due to obsolescence of SDKs.

comment:13 Changed 8 years ago by anddam (Andrea D'Amore)

I was able to make xcircuit/xcircuit-devel run on 10.7, there is both and incompatibility with tk 8.6 and an incompatibility with Quartz support.

Therefore the current way to run xcircuit or xcircuit-devel is to install tcl/tk using version @8.5.13_0, tk also needs the variant -quartz. This yields a working xcircuit/tk.

This is just a workaround. The ticket isn't solved, further investigation is needed.

comment:14 Changed 8 years ago by Stochasticus@…

Hi I will try this as soon as I have time, just currently struggling to install the old versions of tcl/tk. Hopefully will find time to get this right by the end of the week. Pity I deleted the old versions while trying to save space.

comment:15 in reply to:  14 Changed 8 years ago by anddam (Andrea D'Amore)

Replying to Stochasticus@…:

Hi I will try this as soon as I have time, just currently struggling to install the old versions of tcl/tk.

I forgot to mention this, here is the wiki page about using older version of the library, I used r99712 for tcl and tk ports.

Version 0, edited 8 years ago by anddam (Andrea D'Amore) (next)

comment:16 Changed 8 years ago by Stochasticus@…

I've followed both sets of download instructions but the port install command isn't working. I've chown'd the file, changed the perms to execute but I'm getting this error which doesn't seem to make sense, there's nothing online to explain why I'm getting it:

ltw4207:tcl sxs$ sudo port install
Error: Unable to execute port: Could not open file: /Users/sxs/Desktop/ports/tcl/Portfile

comment:17 in reply to:  16 Changed 8 years ago by anddam (Andrea D'Amore)

Replying to Stochasticus@…:

I've followed both sets of download instructions but the port install command isn't working. I've chown'd the file, changed the perms to execute but I'm getting this error which doesn't seem to make sense, there's nothing online to explain why I'm getting it:

ltw4207:tcl sxs$ sudo port install
Error: Unable to execute port: Could not open file: /Users/sxs/Desktop/ports/tcl/Portfile

Paste the output of:

ls -lR /Users/sxs/Desktop/ports

comment:18 Changed 8 years ago by Stochasticus@…

Okay:

I only did the chown on the portfile for tcl so far but it should be readable by anyone.

Stewarts-MacBook:tcl sxs$ ls -lR /Users/sxs/Desktop/ports
total 0
drwxr-xr-x    4 sxs  sxs   136  2 Jul 09:47 .
drwx------@ 102 sxs  sxs  3468  2 Jul 08:58 ..
drwxr-xr-x    4 sxs  sxs   136  2 Jul 16:46 tcl
drwxr-xr-x    4 sxs  sxs   136  2 Jul 09:50 tk

/Users/sxs/Desktop/ports/tcl:
total 16
drwxr-xr-x  4 sxs       sxs        136  2 Jul 16:46 .
drwxr-xr-x  4 sxs       sxs        136  2 Jul 09:47 ..
-rwxr-xr-x@ 1 macports  macports  2341 14 Nov  2012 Portfile
lrwxr-xr-x  1 root      sxs         67  2 Jul 09:52 work -> /opt/local/var/macports/build/_Users_sxs_Desktop_ports_tcl/tcl/work

/Users/sxs/Desktop/ports/tk:
total 8
drwxr-xr-x  4 sxs  sxs   136  2 Jul 09:50 .
drwxr-xr-x  4 sxs  sxs   136  2 Jul 09:47 ..
drwxr-xr-x  3 sxs  sxs   102  2 Jul 09:50 files
-rw-r--r--@ 1 sxs  sxs  2776 19 Nov  2012 Portfile.txt

/Users/sxs/Desktop/ports/tk/files:
total 8
drwxr-xr-x  3 sxs  sxs  102  2 Jul 09:50 .
drwxr-xr-x  4 sxs  sxs  136  2 Jul 09:50 ..
-rw-r--r--@ 1 sxs  sxs  884 14 Nov  2012 return-types.patch

comment:19 in reply to:  18 Changed 8 years ago by anddam (Andrea D'Amore)

Replying to Stochasticus@…:

I only did the chown on the portfile for tcl so far but it should be readable by anyone.

Stewarts-MacBook:tcl sxs$ ls -lR /Users/sxs/Desktop/ports
total 0
drwxr-xr-x    4 sxs  sxs   136  2 Jul 09:47 .
drwx------@ 102 sxs  sxs  3468  2 Jul 08:58 ..

No, notice that your Desktop folder is 700. Either allow go+rx or move the port to another, world readable directory, for instance I have a local ports tree at /opt/local/var/macports/sources/local

comment:20 Changed 8 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:21 Changed 8 years ago by Stochasticus@…

Okay, after a bit of a mess where trying to install the older tk made macports reinstall tcl 8.6 I have it ready to reinstall xcircuit. What do I need to do there in order to avoid it trying to upgrade tcl/tk which is currently making it fail?

comment:22 in reply to:  21 Changed 8 years ago by anddam (Andrea D'Amore)

Replying to Stochasticus@…:

Okay, after a bit of a mess where trying to install the older tk made macports reinstall tcl 8.6 I have it ready to reinstall xcircuit. What do I need to do there in order to avoid it trying to upgrade tcl/tk which is currently making it fail?

You create a local ports repository and put it before macports' in sources.conf in order to assign it a higher precedence.

That said please notice that having an old version of the library is likely to cause some issue, in my case rev-upgrade was triggering py-tkinter rebuild and that was failing due to the older Tk version. I'm looking forward to hear from xcircuit author about the (supposed) 8.6 incompatibility.

comment:23 Changed 8 years ago by Stochasticus@…

Right, once I'd actually followed those instructions properly it stopped trying to update tcl/tk and installed what seems to be a working version of xcircuit! Thank you for coming up with this workaround.

comment:24 Changed 8 years ago by anddam (Andrea D'Amore)

This issue was due to an actual bug in Tk 8.6, as soon as it's merged the issue should be solved.

comment:25 Changed 7 years ago by anddam (Andrea D'Amore)

Resolution: fixed
Status: reopenedclosed

This got fixed in tk 8.6.1 .

Note: See TracTickets for help on using tickets.